local ActivityRuleLayer0 = class("ActivityRuleLayer0", cc.Layer)

local resFileName = "activities/uibehave_3/activity_rule_0.csb"

function ActivityRuleLayer0:ctor(super)
	self:loadUI()
end

function ActivityRuleLayer0:loadUI()
	self._rootNode = cc.CSLoader:createNode(resFileName)
	
	if self._rootNode == nil then
		return
	end
	self._rootNode:setContentSize(cc.Director:getInstance():getWinSize())
    ccui.Helper:doLayout(self._rootNode)
    self:addChild(self._rootNode)
	
	local img = theGameClientLibUtil:seekChildByName(self._rootNode, "activity_img")
	img:loadTexture("activities/uibehave_3/activity_img_0.png")
	img:addClickEventListener(function() self:onImgClick() end)
end

function ActivityRuleLayer0:onImgClick()
	local web = require("hall.uibehave_3.ui.WebViewLayer")
	local obj = web.new()
	if obj then
		local url = theConfigMgr:GetUrl(ConfigUrlIndex.CONFIG_URL_ACTIVITY, true)
        url = theAppDelegateBase:replaceUrl(url)
		obj:loadURL(url)
		cc.Director:getInstance():getRunningScene():addChild(obj)
	end
end

return ActivityRuleLayer0