local ActivityRuleLayer1 = class("ActivityRuleLayer1", cc.Layer)

local resFileName = "activities/uibehave_3/activity_rule_1.csb"

function ActivityRuleLayer1:ctor(super)
	self:loadUI()
	
	local function onNodeEvent(event)
        if event == "enter" then
            self:onEnter()
        end 
        if event == "exit" then
            self:onExit()
        end
		if event == "enterTransitionFinish" then
			self:onEnterTransitionFinish()
		end
    end

    self:registerScriptHandler(onNodeEvent)
end

function ActivityRuleLayer1:loadUI()
	self._rootNode = cc.CSLoader:createNode(resFileName)
	
	if self._rootNode == nil then
		return
	end
	self._rootNode:setContentSize(cc.Director:getInstance():getWinSize())
    ccui.Helper:doLayout(self._rootNode)
    self:addChild(self._rootNode)
	
	self._baseScrollView = theGameClientLibUtil:seekChildByName(self._rootNode, "base_scrollview")
	local detailItem = theGameClientLibUtil:seekChildByName(self._rootNode, "detail_border")
	self._detailExample = detailItem:clone()
	self._detailExample:retain()
	detailItem:removeFromParent()
	for i = 1, 10, 1 do
		local item = self._detailExample:clone()
		self._baseScrollView:addChild(item)
	end
	theGameClientLibUtil:alignItemsWithAverage(self._baseScrollView, self._detailExample, "Horizontally", 1, 0, 1)
end

function ActivityRuleLayer1:onExit()
	self._detailExample:release()
end

return ActivityRuleLayer1