local GameBoxRuleLayer336 =class("GameBoxRuleLayer336",cc.Layer)



local resFileName = "rules/uibehave_3/game_box_rule_336.csb"


function GameBoxRuleLayer336:ctor(super)
    self._gameID = 336
    self._ruleBtnNormal = "images/addin/uibehave_1/CreateBox/zzmj_1.btn"
    self._ruleBtnSelect = "images/addin/uibehave_1/CreateBox/zzmj_2.btn"
    self._ruleBtnDisable = "images/addin/uibehave_1/CreateBox/zzmj_3.btn"

    self._createOption = {
        EnablePao = 1, -- 
        EnableBaida = 1, -- 
        EnableFeng = 1, -- 
        EnableDianPao = 0, -- ں

        EnableBanker = 0, -- ׯҼӱ
        EnableGang = 0, -- ܼӱ
        Enable7Dui = 0, -- 7Լӱ
        EnableGangKai = 0, -- ܿӱ
        EnableSiHun = 0, -- Ļӱ

    }
    self:loadUI()
end

function GameBoxRuleLayer336:loadUI()

  
    local isExist =  cc.FileUtils:getInstance():isFileExist(resFileName)
    if(isExist == false) then
        return
    end
    self._m_rootNode = cc.CSLoader:createNode(resFileName)
 --   self._m_rootNode:setContentSize(cc.Director:getInstance():getWinSize())
 --   ccui.Helper:doLayout(self._m_rootNode)
    self:addChild(self._m_rootNode)
	
    self._bg = self._m_rootNode:getChildByName("setting_bg");

    self._round_checkBox_0 = ccui.Helper:seekWidgetByName(self._bg, "round_checkBox_0");
	self._round_checkBox_0:setSelected(true)
	self._selectedRoundName = "round_checkBox_0"
	self._roundValue = 4
    self._round_checkBox_1 = ccui.Helper:seekWidgetByName(self._bg, "round_checkBox_1");
	self._round_checkBox_1:setSelected(false)
    self._round_checkBox_2 = ccui.Helper:seekWidgetByName(self._bg, "round_checkBox_2");
	self._round_checkBox_2:setSelected(false)
    self._roomcard_label   = ccui.Helper:seekWidgetByName(self._bg, "roomcard_label");
    self._roomcard_label:setString("1")

    self._scoretime_checkBox_0 = ccui.Helper:seekWidgetByName(self._bg, "opt_checkBox_4");
	self._scoretime_checkBox_0:setSelected(false)
    self._scoretime_checkBox_1 = ccui.Helper:seekWidgetByName(self._bg, "opt_checkBox_5");
	self._scoretime_checkBox_1:setSelected(false)
    self._scoretime_checkBox_1:setEnabled(true)
    self._scoretime_checkBox_2 = ccui.Helper:seekWidgetByName(self._bg, "score_checkBox_0");
	self._scoretime_checkBox_2:setSelected(false)
    self._scoretime_checkBox_3 = ccui.Helper:seekWidgetByName(self._bg, "score_checkBox_1");
	self._scoretime_checkBox_3:setSelected(false)
    self._scoretime_checkBox_4 = ccui.Helper:seekWidgetByName(self._bg, "score_checkBox_2");
	self._scoretime_checkBox_4:setSelected(false)

    self._opt_checkBox_0 = ccui.Helper:seekWidgetByName(self._bg, "opt_checkBox_0");
	self._opt_checkBox_0:setSelected(true)
    self._opt_checkBox_1 = ccui.Helper:seekWidgetByName(self._bg, "opt_checkBox_1");
	self._opt_checkBox_1:setSelected(true)
    self._opt_checkBox_2 = ccui.Helper:seekWidgetByName(self._bg, "opt_checkBox_2");
	self._opt_checkBox_2:setSelected(true)
    self._opt_checkBox_3 = ccui.Helper:seekWidgetByName(self._bg, "opt_checkBox_3");
	self._opt_checkBox_3:setSelected(false)
	
	self._tip = self._roomcard_label:getChildByName("tip")
	self._tip:setVisible(theMyself:GetDiamond() < 1)

    self._scoretime_checkBox_0:addEventListener(
        function(sender,eventType)
			if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.EnableBanker = 1
            else
                self._createOption.EnableBanker = 0
            end
        end
    )

      self._scoretime_checkBox_1:addEventListener(
        function(sender,eventType)
			if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.EnableGang = 1
            else
                self._createOption.EnableGang = 0
            end
        end
    )

      self._scoretime_checkBox_2:addEventListener(
        function(sender,eventType)
			if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.Enable7Dui = 1
            else
                self._createOption.Enable7Dui = 0
            end
        end
    )

    self._scoretime_checkBox_3:addEventListener(
        function(sender,eventType)
			if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.EnableSiHun = 1
            else
                self._createOption.EnableSiHun = 0
            end
        end
    )

    self._scoretime_checkBox_4:addEventListener(
        function(sender,eventType)
			if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.EnableGangKai = 1
            else
                self._createOption.EnableGangKai = 0
            end
        end
    )

      self._round_checkBox_0:addEventListener(
        function(sender,eventType)
           self:onRoundChecked(sender,eventType)
		   self._roomcard_label:setString("1")
		   self._roundValue = 4
		   self._tip:setVisible(theMyself:GetDiamond() < 1)
        end
    )

      self._round_checkBox_1:addEventListener(
        function(sender,eventType)
           self:onRoundChecked(sender,eventType)
		   self._roomcard_label:setString("2")
		   self._roundValue = 8
		   self._tip:setVisible(theMyself:GetDiamond() < 2)
        end
    )

      self._round_checkBox_2:addEventListener(
        function(sender,eventType)
           self:onRoundChecked(sender,eventType)
		   self._roomcard_label:setString("3")
		   self._roundValue = 12
		   self._tip:setVisible(theMyself:GetDiamond() < 3)
        end
    )

	self._opt_checkBox_0:addEventListener(
        function(sender,eventType)
			if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.EnableBaida = 1

                self._scoretime_checkBox_3:setEnabled(true)
            else
                self._createOption.EnableBaida = 0

                self._scoretime_checkBox_3:setEnabled(false)
                self._scoretime_checkBox_3:setSelected(false)
                self._createOption.EnableSiHun = 0
            end
        end
    )
    self._opt_checkBox_1:addEventListener(
        function(sender,eventType)
			if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.EnableFeng = 1
            else
                self._createOption.EnableFeng = 0
            end
        end
    )
    self._opt_checkBox_2:addEventListener(
        function(sender,eventType)
			if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.EnablePao = 1
                self._scoretime_checkBox_1:setEnabled(true)
            else
                self._createOption.EnablePao = 0

                -- δѡ   ѡ 
                self._scoretime_checkBox_1:setEnabled(false)

                self._scoretime_checkBox_1:setSelected(false)
                self._createOption.EnableGang = 0
            end
        end
    )
    self._opt_checkBox_3:addEventListener(
        function(sender,eventType)
			if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.EnableDianPao = 1
            else
                self._createOption.EnableDianPao = 0
            end
        end
    )
	
end

function GameBoxRuleLayer336:onRoundChecked(sender,eventType)
    sender:setSelected(true)
	local name = sender:getName()
	if (name ~= self._selectedRoundName) then
		self._round_checkBox_select = ccui.Helper:seekWidgetByName(self._bg, self._selectedRoundName);
		self._round_checkBox_select:setSelected(false);
		self._selectedRoundName = name
	end
end

function GameBoxRuleLayer336:getCreateBoxInfo()
    local info = {}
    info.boxRound = self._roundValue
    info.baseScore = 1
	info.duration = 0
	info.payRule = 0
	info.options = self:getOptions()  
	return info
end

function GameBoxRuleLayer336:getOptions()
    local opt = ""
    opt = "EnablePao="..self._createOption.EnablePao..",EnableBaida="..self._createOption.EnableBaida..",EnableFeng="..self._createOption.EnableFeng..",EnableDianPao="..self._createOption.EnableDianPao..",EnableBanker="..self._createOption.EnableBanker..",EnableGang="..self._createOption.EnableGang..",Enable7Dui="..self._createOption.Enable7Dui..",EnableGangKai="..self._createOption.EnableGangKai..",EnableSiHun="..self._createOption.EnableSiHun

    return opt
end

function GameBoxRuleLayer336:getBtnImgs()
    return self._ruleBtnNormal, self._ruleBtnSelect, self._ruleBtnDisable
end

return GameBoxRuleLayer336
