--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

local GameBoxRuleLayer347 =class("GameBoxRuleLayer347",cc.Layer)

local resFileName = "rules/uibehave_3/game_box_rule_347.csb"

GameBoxRuleLayer347.Price_AA = {
    [4] = 1,
    [8] = 2,
    [12] = 3
}
GameBoxRuleLayer347.Price_FangZhu = {
    [4] = 4,
    [8] = 7,
    [12] = 10
}

function GameBoxRuleLayer347:ctor(super)
    self._gameID = 347
    self._ruleBtnNormal = "images/addin/uibehave_1/CreateBox/xzmj_1.btn"
    self._ruleBtnSelect = "images/addin/uibehave_1/CreateBox/xzmj_2.btn"
    self._ruleBtnDisable = "images/addin/uibehave_1/CreateBox/xzmj_3.btn"

    self._createOption = {
        ChangeThree = 1, -- 换三张
        HuJiaoZhuanYi = 1, -- 呼叫转移
        ZiMoAddDi = 1, -- 自摸加底 = 1/加倍
        HuaPao = 0, -- 点杠花自摸 = 0/点炮

        DaiYaoJiu = 0, -- 带幺九
        MenQingAndZhongZhang = 0, -- 门清,中张
        JiangDui = 0 ,-- 将对
        TianDiHu = 0, -- 天地胡

        FengDingTimes = -1, -- 封顶

    }
    self._pay_rule = 0
    self:loadUI()
end

function GameBoxRuleLayer347:loadUI()

  
    local isExist =  cc.FileUtils:getInstance():isFileExist(resFileName)
    if(isExist == false) then
        return
    end
    self._m_rootNode = cc.CSLoader:createNode(resFileName)
 --   self._m_rootNode:setContentSize(cc.Director:getInstance():getWinSize())
 --   ccui.Helper:doLayout(self._m_rootNode)
    self:addChild(self._m_rootNode)

    self._bg = self._m_rootNode:getChildByName("setting_bg");
	
    self._round_checkBox_0 = ccui.Helper:seekWidgetByName(self._bg, "round_checkBox_0");
	self._round_checkBox_0:setSelected(true)
	self._selectedRoundName = "round_checkBox_0"
	self._roundValue = 4
    self._round_checkBox_1 = ccui.Helper:seekWidgetByName(self._bg, "round_checkBox_1");
	self._round_checkBox_1:setSelected(false)
    self._round_checkBox_2 = ccui.Helper:seekWidgetByName(self._bg, "round_checkBox_2");
	self._round_checkBox_2:setSelected(false)
    self._roomcard_label   = ccui.Helper:seekWidgetByName(self._bg, "roomcard_label");
    self:updateCost(4)

      self._round_checkBox_0:addEventListener(
        function(sender,eventType)
           self:onRoundChecked(sender,eventType)
		   self:updateCost(4)
		   self._roundValue = 4
        end
    )

      self._round_checkBox_1:addEventListener(
        function(sender,eventType)
           self:onRoundChecked(sender,eventType)
		   self:updateCost(8)
		   self._roundValue = 8
        end
    )

      self._round_checkBox_2:addEventListener(
        function(sender,eventType)
           self:onRoundChecked(sender,eventType)
		   self:updateCost(12)
		   self._roundValue = 12
        end
    )

	self:loadCreateOptions()
	self:loadPayOptions()
end

function GameBoxRuleLayer347:loadPayOptions()
    self._pay_checkBox_1 = ccui.Helper:seekWidgetByName(self._bg, "pay_checkBox_1");
	self._pay_checkBox_1:setSelected(false)
    self._pay_checkBox_2 = ccui.Helper:seekWidgetByName(self._bg, "pay_checkBox_2");
	self._pay_checkBox_2:setSelected(true)

    self._pay_checkBox_1:addEventListener(
        function(sender,eventType)
			if eventType == ccui.CheckBoxEventType.selected then
                self._pay_checkBox_2:setSelected(false)
                self._pay_rule = 1
                self:updateCost(self._roundValue)
            else
                self._pay_checkBox_1:setSelected(true)
                self._pay_checkBox_2:setSelected(false)
            end
        end
    )

    self._pay_checkBox_2:addEventListener(
        function(sender,eventType)
			if eventType == ccui.CheckBoxEventType.selected then
                self._pay_checkBox_1:setSelected(false)
                self._pay_rule = 0
                self:updateCost(self._roundValue)
            else
                self._pay_checkBox_1:setSelected(false)
                self._pay_checkBox_2:setSelected(true)
            end
        end
    )
end

function GameBoxRuleLayer347:loadCreateOptions()
    self._score_checkBox_4 = ccui.Helper:seekWidgetByName(self._bg, "score_checkBox_4");
    self._score_checkBox_5 = ccui.Helper:seekWidgetByName(self._bg, "score_checkBox_5");
    self._score_checkBox_4:setSelected(true)
    self._score_checkBox_5:setSelected(true)

    self._score_checkBox_4:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.ChangeThree = 1
            else
                self._createOption.ChangeThree = 0
            end
        end
    )
    self._score_checkBox_5:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.HuJiaoZhuanYi = 1
            else
                self._createOption.HuJiaoZhuanYi = 0
            end
        end
    )

    -- 番型
    self._score_checkBox_8 = ccui.Helper:seekWidgetByName(self._bg, "score_checkBox_8");
    self._score_checkBox_9 = ccui.Helper:seekWidgetByName(self._bg, "score_checkBox_9");
    self._score_checkBox_10 = ccui.Helper:seekWidgetByName(self._bg, "score_checkBox_10");
    self._score_checkBox_11 = ccui.Helper:seekWidgetByName(self._bg, "score_checkBox_11");
    self._score_checkBox_8:setSelected(false)
    self._score_checkBox_9:setSelected(false)
    self._score_checkBox_10:setSelected(false)
    self._score_checkBox_11:setSelected(false)

    self._score_checkBox_8:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.DaiYaoJiu = 1
            else
                self._createOption.DaiYaoJiu = 0
            end
        end
    )
    self._score_checkBox_9:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.MenQingAndZhongZhang = 1
            else
                self._createOption.MenQingAndZhongZhang = 0
            end
        end
    )
    self._score_checkBox_10:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.JiangDui = 1
            else
                self._createOption.JiangDui = 0
            end
        end
    )
    self._score_checkBox_11:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.TianDiHu = 1
            else
                self._createOption.TianDiHu = 0
            end
        end
    )

    -- ZiMoAddDi = 1, -- 自摸加底/加倍
    self._radio_checkBox_11 = ccui.Helper:seekWidgetByName(self._bg, "radio_checkBox_11");
    self._radio_checkBox_12 = ccui.Helper:seekWidgetByName(self._bg, "radio_checkBox_12");
    self._radio_checkBox_11:setSelected(true)
    self._radio_checkBox_12:setSelected(false)

    self._radio_checkBox_11:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
                self._radio_checkBox_12:setSelected(false)
                self._createOption.ZiMoAddDi = 1
            else
                self._radio_checkBox_11:setSelected(true)
            end
        end
    )
    self._radio_checkBox_12:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
                self._radio_checkBox_11:setSelected(false)
                self._createOption.ZiMoAddDi = 0
            else
                self._radio_checkBox_12:setSelected(true)
            end
        end
    )

    -- HuaPao = 0, -- 点杠花自摸/点炮
    self._radio_checkBox_21 = ccui.Helper:seekWidgetByName(self._bg, "radio_checkBox_21");
    self._radio_checkBox_22 = ccui.Helper:seekWidgetByName(self._bg, "radio_checkBox_22");
    self._radio_checkBox_21:setSelected(true)
    self._radio_checkBox_22:setSelected(false)

    self._radio_checkBox_21:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
                self._radio_checkBox_22:setSelected(false)
                self._createOption.HuaPao = 0
            else
                self._radio_checkBox_21:setSelected(true)
            end
        end
    )
    self._radio_checkBox_22:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
                self._radio_checkBox_21:setSelected(false)
                self._createOption.HuaPao = 1
            else
                self._radio_checkBox_22:setSelected(true)
            end
        end
    )

    -- 番型
    self._score_checkBox_8 = ccui.Helper:seekWidgetByName(self._bg, "score_checkBox_8");
    self._score_checkBox_9 = ccui.Helper:seekWidgetByName(self._bg, "score_checkBox_9");
    self._score_checkBox_10 = ccui.Helper:seekWidgetByName(self._bg, "score_checkBox_10");
    self._score_checkBox_11 = ccui.Helper:seekWidgetByName(self._bg, "score_checkBox_11");
    self._score_checkBox_8:setSelected(false)
    self._score_checkBox_9:setSelected(false)
    self._score_checkBox_10:setSelected(false)
    self._score_checkBox_11:setSelected(false)

    self._score_checkBox_8:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.DaiYaoJiu = 1
            else
                self._createOption.DaiYaoJiu = 0
            end
        end
    )
    self._score_checkBox_9:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.MenQingAndZhongZhang = 1
            else
                self._createOption.MenQingAndZhongZhang = 0
            end
        end
    )
    self._score_checkBox_10:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.JiangDui = 1
            else
                self._createOption.JiangDui = 0
            end
        end
    )
    self._score_checkBox_11:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
                self._createOption.TianDiHu = 1
            else
                self._createOption.TianDiHu = 0
            end
        end
    )

    -- FengDingTimes = -1, -- 封顶
    self._scoretime_checkBox_0 = ccui.Helper:seekWidgetByName(self._bg, "scoretime_checkBox_0");
    self._scoretime_checkBox_1 = ccui.Helper:seekWidgetByName(self._bg, "scoretime_checkBox_1");
    self._scoretime_checkBox_2 = ccui.Helper:seekWidgetByName(self._bg, "scoretime_checkBox_2");
    self._scoretime_checkBox_3 = ccui.Helper:seekWidgetByName(self._bg, "scoretime_checkBox_3");

    self._scoretime_checkBox_0:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
                self._scoretime_checkBox_1:setSelected(false)
                self._scoretime_checkBox_2:setSelected(false)
                self._scoretime_checkBox_3:setSelected(false)
                self._createOption.FengDingTimes = -1
            else
                self._scoretime_checkBox_0:setSelected(true)
            end
        end
    )
    self._scoretime_checkBox_1:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
               self._scoretime_checkBox_0:setSelected(false)
               self._scoretime_checkBox_2:setSelected(false)
               self._scoretime_checkBox_3:setSelected(false)
               self._createOption.FengDingTimes = 4
            else
                self._scoretime_checkBox_1:setSelected(true)
            end
        end
    )
    self._scoretime_checkBox_2:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
               self._scoretime_checkBox_0:setSelected(false)
               self._scoretime_checkBox_1:setSelected(false)
               self._scoretime_checkBox_3:setSelected(false)
               self._createOption.FengDingTimes = 8
            else
                self._scoretime_checkBox_2:setSelected(true)
            end
        end
    )
    self._scoretime_checkBox_3:addEventListener(
        function(sender,eventType)
            if eventType == ccui.CheckBoxEventType.selected then
                self._scoretime_checkBox_0:setSelected(false)
                self._scoretime_checkBox_1:setSelected(false)
                self._scoretime_checkBox_2:setSelected(false)
                self._createOption.FengDingTimes = 16
            else
                self._scoretime_checkBox_3:setSelected(true)
            end
        end
    )
end

function GameBoxRuleLayer347:onRoundChecked(sender,eventType)
    sender:setSelected(true)
	local name = sender:getName()
	if (name ~= self._selectedRoundName) then
		self._round_checkBox_select = ccui.Helper:seekWidgetByName(self._bg, self._selectedRoundName);
		self._round_checkBox_select:setSelected(false);
		self._selectedRoundName = name
	end
end

function GameBoxRuleLayer347:updateCost(round)
    if self._pay_rule == 0 then
        self._roomcard_label:setString(self.Price_FangZhu[round])
    else
        self._roomcard_label:setString(self.Price_AA[round])
    end
end

function GameBoxRuleLayer347:getCreateBoxInfo()
    local info = {}
    info.boxRound = self._roundValue
    info.baseScore = 1
	info.duration = 0
	info.payRule = self._pay_rule  -- 0 房主 1 AA
	info.options = self:getOptions()
	return info
end


function GameBoxRuleLayer347:getOptions()
    local opt = {}
    for k,v in pairs(self._createOption) do
        table.insert(opt,k.."="..v)
    end
    return table.concat(opt,",")
end

function GameBoxRuleLayer347:getBtnImgs()
    return self._ruleBtnNormal, self._ruleBtnSelect, self._ruleBtnDisable
end

return GameBoxRuleLayer347


--endregion
